package com.tzld.piaoquan.api.dao.mapper;

import com.tzld.piaoquan.api.model.po.GhDetailExt;
import com.tzld.piaoquan.api.model.po.GzhAutoreplyBehaviorUvTotal;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface GhDetailMapperExt {

    void deleteOldGhDetailExt(@Param("ghId") String ghId, @Param("type") Integer type);

    void batchInsertGhDetailExt(@Param("records") List<GhDetailExt> records);

    List<GhDetailExt> getGhDetailExtList(@Param("ghId") String ghId, @Param("type") Integer type);

    void deleteGzhAutoreplyBehaviorUvTotal(@Param("dt") String dt);

    void batchInsertGzhAutoreplyBehaviorUvTotal(@Param("records") List<GzhAutoreplyBehaviorUvTotal> saveList);
}